Invoices & invoice payments
Get Invoice Payment Transactions
Returns token transactions for one invoice payment.
GEThttps://api.toku.com/hris/get-invoice-payment-transactions
Required scope: payments:read. It also needs banking:read, compensation:read.
curl --request GET \
--url 'https://api.toku.com/hris/get-invoice-payment-transactions?invoicePaymentID=%3CinvoicePaymentID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"success": true,
"invoiceTokenTransactions": [
{
"invoicePaymentID": "string",
"invoiceTokenTransactionID": "string",
"roleInOrgID": "string",
"tokenID": "string",
"tokenName": "string",
"tokenSymbol": "string",
"address": "string",
"tokenAmount": "string",
"sourceAmount": "string",
"exchangeRate": "string",
"sourceCurrencyCode": "string",
"isApproved": true,
"settlementId": "string",
"transactionHash": "string",
"transactionLink": "string",
"dateFulfilled": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
invoicePaymentIDstring<uuid>requiredResponse
200Successful response
successbooleanrequiredinvoiceTokenTransactionsobject[]requiredShow child attributes
invoicePaymentIDstringrequiredinvoiceTokenTransactionIDstringroleInOrgIDstringrequiredtokenIDstringrequiredtokenNamestringtokenSymbolstringaddressstringrequiredtokenAmountstring | numberrequiredsourceAmountstring | numberrequiredexchangeRatestring | numberrequiredsourceCurrencyCodestringrequiredisApprovedbooleanrequiredsettlementIdstringtransactionHashstringtransactionLinkstringdateFulfilledstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits